Bug 370621 - some slapd command line tools for fedora-ds fail
some slapd command line tools for fedora-ds fail
Status: CLOSED NOTABUG
Product: 389
Classification: Community
Component: Command Line Utilities (Show other bugs)
7.1
ia64 Linux
low Severity low
: ---
: ---
Assigned To: Nathan Kinder
Chandrasekar Kannan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-07 19:15 EST by Mark Slemko
Modified: 2015-01-04 18:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-26 12:23:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Slemko 2007-11-07 19:15:04 EST
Description of problem:
command line tools don't work in 64-bit directory

Version-Release number of selected component (if applicable):
Name   : fedora-ds-base
Arch   : x86_64
Version: 1.1.0
Release: 1.2.fc7

How reproducible:
always

Steps to Reproduce:
1. try running /usr/lib/dirsrv/slapd-SERVER/monitor
  
Actual results:
./monitor: line 13: ldapsearch: command not found

Expected results:
a number of items listed from the ldap server

Additional info:
The shell scripts don't call the correct version of ldapsearch on 64 bit
machines. The correct path to the various ldap helper applications is:
PATH=$prefix/usr/lib64/mozldap:/usr/lib64/mozldap
instead of the wrong path being:
PATH=$prefix/usr/lib/mozldap:/usr/lib/mozldap

perhaps both paths could be added for these calls
PATH=$prefix/usr/lib/mozldap:/usr/lib/mozldap:$prefix/usr/lib64/mozldap:/usr/lib64/mozldap
Comment 1 Rich Megginson 2007-11-20 18:17:49 EST
Are you using the 32bit fedora-ds-base on F7 64bit?  I don't think that is
supported.  You should use the 64bit fedora-ds-base on F7 64bit.
Comment 2 Mark Slemko 2007-11-20 23:55:01 EST
(In reply to comment #1)
> Are you using the 32bit fedora-ds-base on F7 64bit?  I don't think that is
> supported.  You should use the 64bit fedora-ds-base on F7 64bit.

I am using the 64bit on Fedora 7.
installation by: yum install fedora-ds-base

it appears to me that the scripts do not reference the /usr/lib64... paths
Comment 3 Rich Megginson 2007-11-21 09:37:01 EST
> Steps to Reproduce:
> 1. try running /usr/lib/dirsrv/slapd-SERVER/monitor

On my fedora-ds-base F7 x86_64 installation,
/usr/lib/dirsrv/slapd-SERVER/monitor does not exist - but
/usr/lib64/dirsrv/slapd-SERVER/monitor does, and it has the correct path.  So
I'm a little bit confused as to why you would have /usr/lib/dirsrv on a 64bit
system.
Comment 4 Mark Slemko 2007-11-22 01:26:56 EST
that's interesting, when I did a yum install on Nov 7, it installed both i386
and x86_64 - also, the update today updated both. 

I did a check and I have both i386 and x86_64 installed. It appears that it
installed the system using i386 and wanted to use some i386 tools that didn't
exist except in the x86_64 - i.e. mozldap-tools.

I yum installed some samba tools yesterday -> smbldap-tools which may have
pulled in compatible tools. However, the install, and the update today did
"correct" the issue I reported:
/usr/lib/dirsrv/slapd-SERVER/monitor now works.

I think we can close this.
Comment 5 Rich Megginson 2007-11-26 12:23:16 EST
Ok.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.